Bug 241994 - [PATCH] No action (to define shortcuts) for "Insert Newline" (i.e. not smart newline)
Summary: [PATCH] No action (to define shortcuts) for "Insert Newline" (i.e. not smart ...
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: part (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-17 15:11 UTC by angel.tsankov
Modified: 2011-08-02 19:33 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Shift + Enter and Shift + Return insert newline. (509 bytes, patch)
2011-02-27 02:27 UTC, Pranav Ravichandran
Details

Note You need to log in before you can comment on or make changes to this bug.
Description angel.tsankov 2010-06-17 15:11:10 UTC
Version:           unspecified
OS:                Linux

Shift+{Return/Enter} does nothing when the shortcuts for the "Insert Smart Newline" action are set to "None".

Reproducible: Always

Steps to Reproduce:
1. Set the shortcuts for the "Insert Smart Newline" action to "None";
2. Type Shift+Return.

Actual Results:  
Nothing happens

Expected Results:  
A (non-smart) newline should be inserted

Happens with Kate 4.4.4
Comment 1 Milian Wolff 2010-06-17 15:17:39 UTC
actions are strict when it comes to shortcuts. instead we should add a "insert newline" action to make it's shortcuts configurable for the user.
Comment 2 angel.tsankov 2010-06-17 15:33:41 UTC
(In reply to comment #1)
> actions are strict when it comes to shortcuts. instead we should add a "insert
> newline" action to make it's shortcuts configurable for the user.

To me, to looks more like shortcuts being strict rather than actions: if not assigned to an action, they do nothing.  With other text editors that I've tried so far, this is exactly the opposite: a shortcut has some action which usually is the most common one on the specific platform; additionally, one can change what the shortcut does by assigning it to an action (from a predefined list).

No matter how strange I find this, it would work for me to assign Shift+Return to "Insert newline".
Comment 3 Dominik Haumann 2010-06-17 16:32:58 UTC
as a fallback, Angel is probably right. Should be easy to fix.
Comment 4 Pranav Ravichandran 2011-02-27 02:27:32 UTC
Created attachment 57543 [details]
Shift + Enter and Shift + Return insert newline.

Works with this patch. When Smart Newline shortcut is disabled, the shortcuts insert non-smart newlines.
Comment 5 Dominik Haumann 2011-08-02 10:33:28 UTC
Git commit 0b1dda22c7fa94c43766c1a1218036b1dff9eade by Dominik Haumann.
Committed on 02/08/2011 at 12:32.
Pushed by dhaumann into branch 'master'.

make shift+enter work if shortcut for smart return is removed

BUG: 241994

M  +1    -1    part/view/kateviewinternal.cpp

http://commits.kde.org/kate/0b1dda22c7fa94c43766c1a1218036b1dff9eade
Comment 6 Dominik Haumann 2011-08-02 19:33:41 UTC
Git commit c74b72bcc705a38c3e37108be332ef14d7ce4504 by Dominik Haumann.
Committed on 02/08/2011 at 12:32.
Pushed by dhaumann into branch 'KDE/4.7'.

make shift+enter work if shortcut for smart return is removed

BUG: 241994

M  +1    -1    part/view/kateviewinternal.cpp

http://commits.kde.org/kate/c74b72bcc705a38c3e37108be332ef14d7ce4504